Overview

FastStone Photo Resizer is an image converter/resizer intended to enable users to convert, rename, resize, crop, rotate, change color depth, add text and watermarks to images in a quick and easy batch mode. Drag and Drop mouse operation is well supported.


Features

  • Convert and Rename images in batch mode
  • Resize, crop, change color depth, apply color effects, add text and watermark.
  • Rename images with sequential number.
  • Support folder/non-folder structure.
  • Load and save settings
  • Mouse Wheel Support
  • And Much more


System Requirements

  • Windows 98SE, ME, NT, 2000, XP, Vista
  • 256MB RAM
  • 10MB space in hard drive
  • Mouse (with scroll-wheel recommended)


Image Convert
In "Batch Convert" tab, you can convert images between JPEG,BMP,GIF,PNG,JPEG2000 formats, apply advanced options including resize, crop, color effects, texts, watermarks etc. You can also specify the output image names with sequential number, parent folder name, file date time.

  1. Use "Add" or "Add all" button or Drag and Drop with the mouse to fill the Input List with images and folders you want to convert.
  2. Select an output image format:JPEG,BMP,GIF,PNG,JPEG2000.
  3. Click on "Options" if you want to change parameters for the specified image format.
  4. Specify the Output folder.
  5. If you want to preserve the folder structure as the same as that in Input List, check "Use folder structure in output folder". Otherwise all files in the Input List will be generated in the output folder without folder structure.
  6. If you want to apply Resize, Crop ... adjustments to images, check "Use advanced options" and click "Options" to specify what changes you want to make.
  7. If you want to rename the output images, check "Rename" and specify the renaming format. Uncheck this option will preserve the original image names.
  8. Check "Ask before overwrite" to make sure a confirmation window will prompt if the target image already exists.
  9. Check "Keep original date/time attributes" to preserve date time stamps of original files.
  10. Click on "Start" button to start the conversion.


Image Rename
In "Batch Rename" tab, you can rename images in batch mode with sequential number, parent folder name, file date time. All renames will be done to the original images.

  1. Use "Add" or "Add all" button or Drag and Drop with the mouse to fill the Input List with images and folders you want to convert.
  2. Specify the renaming format.
  3. Click on "Start" button to start image rename.


Overview

License Agreement

Please read the following terms and conditions before using this software. Installing and using this software indicates you accept the terms of this license agreement and warranty.

  • Disclaimer of Warranty

    FastStone Photo Resizer (this software) is provided "as-is" and without warranty of any kind, express, implied or otherwise, including without limitation, any warranty of merchantability or fitness for a particular purpose.

    In no event shall the author of this software be held liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.
  • License

    FastStone Photo Resizer is provided as freeware for private (non-commercial) or educational (including non-profit organization) use. In these cases, you are granted the right to use and to make an unlimited number of copies of this software.

    For commercial use, it is necessary to register. Registering is an important source of support in the development of future versions. Click     here to find out how to register for commercial use.
  • Restrictions on Use

    This software must not be decompiled, disassembled, reverse engineered or otherwise modified.

Copyright (C) 2007 FastStone Soft. All rights reserved.


Contact Us

FastStone Soft specializes in Media Processing Research. We are developing free programs to share our ideas with people, hoping that these programs will be useful to people worldwide.

Our programs contain neither adware nor spyware - guaranteed!

For the latest version of this program, and other free programs, please visit www.FastStone.org .

As the end-user of our programs, you are best qualified to judge how well we are succeeding at providing quality software to the world community. Without your feedback it is very difficult to gauge what, if anything, we should improve to better serve you in the future. We are receptive to all comments on our programs and certainly appreciate the time you take to let us know how we are doing. Suggestions for improvements and new features are always welcomed.

Please feel free to contact us at support@faststone.org.

Thank you!